// This is a -*- C++ -*- header.
//========================================================================
// last updated : [2008/02/04] -16:24:15(JST)-
//  written by $Author: okamura $ on $Date: 2008/09/01 09:55:49 $.
// -----------------------------------------------------------------------
// $Name:  $-$Revision: 4.1 $-$State: Exp $
// $Id: res.h,v 4.1 2008/09/01 09:55:49 okamura Exp $
//========================================================================
// -----------------------------------------------------------------------
//  COMMENT
// ---------
//  header file for fit function for the nuclear resonance event 
// for nu_e/nu_mu and 3/4 Gaussian
//-----------------------------------------------------------------------

#ifndef __res_h__
#define __res_h__

double s1neres4(double E0);
double s2neres4(double E0);
double s3neres4(double E0);
double s4neres4(double E0);
double E1neres4(double E0);
double E2neres4(double E0);
double E3neres4(double E0);
double E4neres4(double E0);
double r2neres4(double E0);
double r3neres4(double E0);
double r4neres4(double E0);

double E1neres3(double E0);
double E2neres3(double E0);
double E3neres3(double E0);
double s1neres3(double E0);
double s2neres3(double E0);
double s3neres3(double E0);
double r2neres3(double E0);
double r3neres3(double E0);

double Aneres3(double E0);
double Aneres4(double E0);
double Fneres3(double En,double ene);
double Fneres4(double En,double ene);
double Fneres(double En,double ene);

double s1nmres4(double E0);
double s2nmres4(double E0);
double s3nmres4(double E0);
double s4nmres4(double E0);
double E1nmres4(double E0);
double E2nmres4(double E0);
double E3nmres4(double E0);
double E4nmres4(double E0);
double r2nmres4(double E0);
double r3nmres4(double E0);
double r4nmres4(double E0);

double E1nmres3(double E0);
double E2nmres3(double E0);
double E3nmres3(double E0);
double s1nmres3(double E0);
double s2nmres3(double E0);
double s3nmres3(double E0);
double r2nmres3(double E0);
double r3nmres3(double E0);

double Anmres3(double E0);
double Anmres4(double E0);
double Fnmres3(double En,double ene);
double Fnmres4(double En,double ene);
double Fnmres(double En,double ene);

#endif
